.table-admin {
  margin: 50px auto;
  width: 90%;
  border-spacing: 0;

  thead {
    position: sticky;
    top: 0;

    tr {
      border-top: 1px solid black;

      &.search-ligne {
        .th-search {
          display: grid;
          grid-template-columns: repeat(auto-fill, 350px);
          grid-gap: 10px 15px;

          div {
            display: flex;
            justify-content: flex-end;
            align-items: center;

            & > input {
              width: 235px;
            }

            & > select, button {
              width: 250px;
            }

            & > input, & > select {
              padding: 5px;
            }

            & > input, & > select, & > .ms-parent {
              margin-left: 10px;
            }
          }
        }
      }
    }
  }

  tr {

    th, td {
      border-bottom: 1px solid black;
      padding: 15px 10px;
      text-align: left;

      .divAction {
        i {
          margin-right: 15px;
          cursor: pointer;
        }
      }
    }

    th:first-child, td:first-child {
      border-left: 1px solid black;
    }

    th:last-child, td:last-child {
      border-right: 1px solid black;
    }

  }

  tbody {
    tr {
      th, td{
        text-overflow: ellipsis;
        white-space: nowrap;
        cursor: context-menu;
        overflow: hidden;
      }

      &:first-child {
        th, td {
          border-top: 1px solid black;
        }
      }
    }
  }

  thead, tfoot {
    tr {
      th, td {
        border-top: 1px solid black;
      }
    }
  }

  tr.spacing {
    height: 10px;
  }
}